Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_dq.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_dq.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_dq.F90	(revision 3814)
@@ -55,5 +55,5 @@
                print*,'entr*dt>m,1',k,entr(ig,k)*ptimestep,masse(ig,k)
                abort_message = 'entr dt > m, 1st'
-               CALL abort_gcm (modname,abort_message,1)
+               CALL abort_physic (modname,abort_message,1)
             endif
          enddo
@@ -196,5 +196,5 @@
                print*,'entr*dt>m,2',k,entr(ig,k)*ptimestep,masse(ig,k)
                abort_message = 'entr dt > m, 2nd'
-               CALL abort_gcm (modname,abort_message,1)
+               CALL abort_physic (modname,abort_message,1)
             endif
          enddo
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_flux.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_flux.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_flux.F90	(revision 3814)
@@ -103,5 +103,5 @@
                     print*,'detr_star(ig,l)',detr_star(ig,l)
                     abort_message = ''
-                    CALL abort_gcm (modname,abort_message,1)
+                    CALL abort_physic (modname,abort_message,1)
                endif
             endif
@@ -268,5 +268,5 @@
                print*,'N1 ig,l,entr',ig,l,entr(ig,l)
                abort_message = 'entr negatif'
-               CALL abort_gcm (modname,abort_message,1)
+               CALL abort_physic (modname,abort_message,1)
             endif
             if (detr(ig,l).gt.fm(ig,l)) then
@@ -297,5 +297,5 @@
                print*,'fm(ig,l)',fm(ig,l)
                abort_message = 'probleme dans thermcell flux'
-               CALL abort_gcm (modname,abort_message,1)
+               CALL abort_physic (modname,abort_message,1)
             endif
          enddo
@@ -325,5 +325,5 @@
                print*,'fm(ig,l)',fm(ig,l)
                abort_message = 'probleme dans thermcell flux'
-               CALL abort_gcm (modname,abort_message,1)
+               CALL abort_physic (modname,abort_message,1)
             endif
         enddo
@@ -427,5 +427,5 @@
                          print*,'fm(ig,l)',fm(ig,l)
                          abort_message = 'probleme dans thermcell_flux'
-                         CALL abort_gcm (modname,abort_message,1)
+                         CALL abort_physic (modname,abort_message,1)
                       endif
                       entr(ig,l+1)=entr(ig,l+1)-ddd
@@ -511,5 +511,5 @@
           print*,'fm(igout,l)',fm(igout,l)
           abort_message = ''
-          CALL abort_gcm (modname,abort_message,1)
+          CALL abort_physic (modname,abort_message,1)
           endif
       enddo
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_flux2.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_flux2.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_flux2.F90	(revision 3814)
@@ -109,5 +109,5 @@
                     abort_message = ''
                     labort_gcm=.true.
-                    CALL abort_gcm (modname,abort_message,1)
+                    CALL abort_physic (modname,abort_message,1)
                endif
             endif
@@ -282,5 +282,5 @@
             print*,'N1 ig,l,entr',igout,lout,entr(igout,lout)
             abort_message = 'entr negatif'
-            CALL abort_gcm (modname,abort_message,1)
+            CALL abort_physic (modname,abort_message,1)
          endif
 
@@ -323,5 +323,5 @@
             print*,'fm(ig,l)',fm(ig,l)
             abort_message = 'probleme dans thermcell flux'
-            CALL abort_gcm (modname,abort_message,1)
+            CALL abort_physic (modname,abort_message,1)
          endif
 
@@ -361,5 +361,5 @@
                print*,'fm(ig,l)',fm(ig,l)
                abort_message = 'probleme dans thermcell flux'
-               CALL abort_gcm (modname,abort_message,1)
+               CALL abort_physic (modname,abort_message,1)
         endif
 !    enddo
@@ -479,5 +479,5 @@
                          print*,'fm(ig,l)',fm(ig,l)
                          abort_message = 'probleme dans thermcell_flux'
-                         CALL abort_gcm (modname,abort_message,1)
+                         CALL abort_physic (modname,abort_message,1)
       endif
       endif
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_main.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_main.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_main.F90	(revision 3814)
@@ -565,5 +565,5 @@
       if (.not. (f0(1).ge.0.) ) then
               abort_message = '.not. (f0(1).ge.0.)'
-              CALL abort_gcm (modname,abort_message,1)
+              CALL abort_physic (modname,abort_message,1)
       endif
 
@@ -695,5 +695,5 @@
       if (ierr==1) then
            abort_message = 'thermcellV0_main: les thermiques vont trop haut '
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
       endif
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_old.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_old.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/thermcell_old.F90	(revision 3814)
@@ -520,5 +520,5 @@
       IF (fracd(ig,l)<0.1) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       ELSE
         ! vitesse descendante "diagnostique"
@@ -1747,5 +1747,5 @@
         PRINT *, 'THERMCELL PB ig=', ig, '   l=', l
         abort_message = 'THERMCELL PB'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       END IF
       ! if ((zw2(ig,l+1).gt.1.e-10).and.(zw2(ig,l).gt.1.e-10).and.
@@ -2051,5 +2051,5 @@
       IF (fracd(ig,l)<0.1 .AND. (test(ig)==1)) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       ELSE
         ! vitesse descendante "diagnostique"
@@ -3101,5 +3101,5 @@
       IF (fracd(ig,l)<0.1) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       ELSE
         ! vitesse descendante "diagnostique"
@@ -3906,5 +3906,5 @@
       IF (fracd(ig,l)<0.1) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       ELSE
         ! vitesse descendante "diagnostique"
@@ -5209,5 +5209,5 @@
       IF (fracd(ig,l)<0.1) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
       ELSE
         ! vitesse descendante "diagnostique"
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracinca_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracinca_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracinca_mod.F90	(revision 3814)
@@ -11,5 +11,5 @@
     ! This subroutine initialize some control varaibles. 
 
-    USE infotrac
+    USE infotrac_phy
     IMPLICIT NONE
     
@@ -42,8 +42,8 @@
 
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     USE vampir
     USE comgeomphy
-    USE control_mod
+    USE control_phy_mod
     USE indice_sol_mod
 
@@ -52,5 +52,5 @@
     
     INCLUDE "dimensions.h"
-    INCLUDE "paramet.h"
+!    INCLUDE "paramet.h"
 
 !==========================================================================
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/traclmdz_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/traclmdz_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/traclmdz_mod.F90	(revision 3814)
@@ -67,5 +67,5 @@
     
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     
     ! Input argument
@@ -77,5 +77,5 @@
     ! Allocate restart variables trs
     ALLOCATE( trs(klon,nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_from_restart', 'pb in allocation 1',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_from_restart', 'pb in allocation 1',1)
     
     ! Initialize trs with values read from restart file 
@@ -89,5 +89,5 @@
     ! Initialization of the tracers should be done here only for those not found in the restart file.
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     USE regr_pr_comb_coefoz_m, ONLY: alloc_coefoz
     USE press_coefoz_m, ONLY: press_coefoz
@@ -133,26 +133,26 @@
 ! --------------------------------------------
     ALLOCATE( scavtr(nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 9',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 9',1)
     scavtr(:)=1.
     
     ALLOCATE( radio(nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 11',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 11',1)
     radio(:) = .false.    ! Par defaut pas decroissance radioactive
     
     ALLOCATE( masktr(klon,nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 2',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 2',1)
     
     ALLOCATE( fshtr(klon,nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 3',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 3',1)
     
     ALLOCATE( hsoltr(nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 4',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 4',1)
     
     ALLOCATE( tautr(nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 5',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 5',1)
     tautr(:)  = 0.
     
     ALLOCATE( vdeptr(nbtr), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('traclmdz_init', 'pb in allocation 6',1)
+    IF (ierr /= 0) CALL abort_physic('traclmdz_init', 'pb in allocation 6',1)
     vdeptr(:) = 0.
 
@@ -341,5 +341,5 @@
     
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     USE regr_pr_comb_coefoz_m, ONLY: regr_pr_comb_coefoz
     USE o3_chem_m, ONLY: o3_chem
@@ -430,5 +430,5 @@
 !=================================================================
 
-    CALL q_sat(klon*klev,t_seri,pplay,qsat)
+    CALL q_sat_phy(klon*klev,t_seri,pplay,qsat)
 
     IF ( id_pcsat /= 0 ) THEN
@@ -624,5 +624,5 @@
     ! variable trs is written to restart file (restartphy.nc)
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     
     REAL,DIMENSION(klon,nbtr), INTENT(OUT) :: trs_out
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracreprobus_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracreprobus_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracreprobus_mod.F90	(revision 3814)
@@ -12,5 +12,5 @@
 
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
 #ifdef REPROBUS 
     USE CHEM_REP, ONLY : pdt_rep, &  ! pas de temps reprobus
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracstoke_phy_mod.f90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracstoke_phy_mod.f90	(revision 3814)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/tracstoke_phy_mod.f90	(revision 3814)
@@ -0,0 +1,6 @@
+MODULE tracstoke_phy_mod
+
+  INTEGER,SAVE :: istphy
+!$OMP THREADPRIVATE(istphy)
+
+END MODULE tracstoke_phy_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/write_field_phy.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/write_field_phy.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/write_field_phy.F90	(revision 3814)
@@ -13,6 +13,4 @@
     
     IMPLICIT NONE
-    include 'dimensions.h'
-    include 'paramet.h'
 
     character(len=*)   :: name
@@ -21,5 +19,5 @@
     real,save,allocatable :: Field_tmp(:,:)
     real, dimension(klon_glo,ll):: New_Field
-    real, dimension(iim,jjp1,ll):: Field_2d
+    real, dimension(nbp_lon,nbp_lat,ll):: Field_2d
 
     CALL Gather(Field,New_Field)
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/write_histday_seri.h
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/write_histday_seri.h	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/write_histday_seri.h	(revision 3814)
@@ -51,74 +51,82 @@
       CALL histwrite(nid_day_seri,"ecin",itau_w, &
                      zx_tmp_2d,iim*jjmp1,ndex2d) 
-!
-!IM 151004 BEG
-      IF(1.EQ.0) THEN
-!
-      DO k=1, klev
-      DO i=1, klon
-       zx_tmp_fi3d(i,k)=u_seri(i,k)*RA*cos(pir* rlat(i))
-      ENDDO
-      ENDDO
-!
-      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d,  &
-           airephy, paprs, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-!
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d, &
-                     iim*jjmp1,ndex2d)
-!
-! friction torque
-!
-      DO i=1, klon
-       zx_tmp_fi2d(i)=zxfluxu(i,1)*RA* cos(pir* rlat(i))
-      ENDDO
-!
-      ok_msk=.FALSE.
-      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy,  &
-           ok_msk, msk, moyglo)
-      zx_tmp_fi2d(1:klon)=moyglo
-!
-      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
-      CALL histwrite(nid_day_seri,"frictor",itau_w,zx_tmp_2d, &
-                     iim*jjmp1,ndex2d)
-!
-! mountain torque
-!
-!IM 190504 BEG
-      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
-      CALL gr_fi_dyn(klev+1,klon,iim+1,jjm+1,paprs,padyn)
-      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,rlat,rlatdyn)
-      mountor=0.
-      airetot=0.
-      DO j = 1, jjmp1
-       DO i = 1, iim+1
-        ij=i+(iim+1)*(j-1)
-        zx_tmp(ij)=0.
-        DO k = 1, klev
-         zx_tmp(ij)=zx_tmp(ij)+dudyn(i,j,k)*airedyn(i,j)* &
-                    (padyn(i,j,k+1)-padyn(i,j,k))/RG
-         airetot=airetot+airedyn(i,j)
-        ENDDO
-!IM 190504 mountor=mountor+zx_tmp(ij)*airedyn(i,j)*RA*
-        mountor=mountor+zx_tmp(ij)*RA* &
-                 cos(pir* rlatdyn(i,j))
-       ENDDO
-      ENDDO
-!IM 151004 BEG
-      IF(itap.EQ.1) PRINT*,'airetot=',airetot,airetot/klev
-!IM 151004 END
-!IM 190504      mountor=mountor/(airetot*airetot)
-      mountor=mountor/airetot
-!
-!IM 190504 END
-      zx_tmp_2d(1:iim,1:jjmp1)=mountor
-      CALL histwrite(nid_day_seri,"mountor",itau_w,zx_tmp_2d, &
-                     iim*jjmp1,ndex2d)
-!
-      ENDIF !(1.EQ.0) THEN
-!
-!
-      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
+
+
+!#ifdef _YM_UNUSED_TO_SUPRESS_
+!ym !
+!ym!IM 151004 BEG
+!ym      IF(1.EQ.0) THEN
+!ym!
+!ym      DO k=1, klev
+!ym      DO i=1, klon
+!ym       zx_tmp_fi3d(i,k)=u_seri(i,k)*RA*cos(pir* rlat(i))
+!ym      ENDDO
+!ym      ENDDO
+!ym!
+!ym      CALL moyglo_pondaima(klon, klev, zx_tmp_fi3d,  &
+!ym           airephy, paprs, moyglo)
+!ym      zx_tmp_fi2d(1:klon)=moyglo
+!ym!
+!ym      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+!ym      CALL histwrite(nid_day_seri,"momang",itau_w,zx_tmp_2d, &
+!ym                     iim*jjmp1,ndex2d)
+!ym!
+!ym! friction torque
+!ym!
+!ym      DO i=1, klon
+!ym       zx_tmp_fi2d(i)=zxfluxu(i,1)*RA* cos(pir* rlat(i))
+!ym      ENDDO
+!ym!
+!ym      ok_msk=.FALSE.
+!ym      CALL moyglo_pondaire(klon, zx_tmp_fi2d, airephy,  &
+!ym           ok_msk, msk, moyglo)
+!ym      zx_tmp_fi2d(1:klon)=moyglo
+!ym!
+!ym      CALL gr_fi_ecrit(1, klon,iim,jjmp1, zx_tmp_fi2d,zx_tmp_2d)
+!ym      CALL histwrite(nid_day_seri,"frictor",itau_w,zx_tmp_2d, &
+!ym                     iim*jjmp1,ndex2d)
+!ym!
+!ym! mountain torque
+!ym!
+!ym!IM 190504 BEG
+!ym      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
+!ym      CALL gr_fi_dyn(klev+1,klon,iim+1,jjm+1,paprs,padyn)
+!ym      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,rlat,rlatdyn)
+!ym      
+!ym
+!ym      mountor=0.
+!ym      airetot=0.
+!ym      DO j = 1, jjmp1
+!ym       DO i = 1, iim+1
+!ym        ij=i+(iim+1)*(j-1)
+!ym        zx_tmp(ij)=0.
+!ym        DO k = 1, klev
+!ym         zx_tmp(ij)=zx_tmp(ij)+dudyn(i,j,k)*airedyn(i,j)* &
+!ym                    (padyn(i,j,k+1)-padyn(i,j,k))/RG
+!ym         airetot=airetot+airedyn(i,j)
+!ym        ENDDO
+!ym!IM 190504 mountor=mountor+zx_tmp(ij)*airedyn(i,j)*RA*
+!ym        mountor=mountor+zx_tmp(ij)*RA* &
+!ym                 cos(pir* rlatdyn(i,j))
+!ym       ENDDO
+!ym      ENDDO
+!ym!IM 151004 BEG
+!ym      IF(itap.EQ.1) PRINT*,'airetot=',airetot,airetot/klev
+!ym!IM 151004 END
+!ym!IM 190504      mountor=mountor/(airetot*airetot)
+!ym      mountor=mountor/airetot
+!ym!
+!ym!IM 190504 END
+!ym      zx_tmp_2d(1:iim,1:jjmp1)=mountor
+!ym      CALL histwrite(nid_day_seri,"mountor",itau_w,zx_tmp_2d, &
+!ym                     iim*jjmp1,ndex2d)
+!ym!
+!ym      ENDIF !(1.EQ.0) THEN
+!ym!
+!ym!
+!ym
+!ym      CALL gr_fi_dyn(1,klon,iim+1,jjm+1,airephy,airedyn)
+!#endif      
+      
       CALL gr_fi_ecrit(1,klon,iim,jjmp1,airephy,zx_tmp_2d)
       airetot=0.
@@ -133,4 +141,7 @@
 !     ENDDO !j
 !
+
+
+      airetot=0.
       DO i=1, klon
        airetot=airetot+airephy(i)
